/*
    StopCmd.h

    Will Eighteen: will@opaline.demon.co.uk
*/

#ifndef STOPCMD_H
#define STOPCMD_H

#include <NoUndoCmd.h>


class StopCmd : public NoUndoCmd
{
	public:
		StopCmd ( const char *, int );
		
	protected:
		void doCommand();

	private:
		char _stopCmd[16];
		char _currentWave[1024];
		char _workingDir[256];
		unsigned int _numWaves;
		unsigned int _waveNum;
		unsigned int _opMode;
		short _numChannels;
		long _sampleRate;
		short _bitsPerSample;
		long _startSel, _endSel;
	
		int sysCall ( const char * );
};

extern char **environ;

#endif

/*
  Notes:
  
  All this should be done at much lower level... maybe one day...
 
*/
