/*
    FileHelpCmd.h

    Will Eighteen, 2000, 2006: will@opaline.demon.co.uk
*/

#ifndef FILEHELPCMD_H
#define FILEHELPCMD_H

#include "NoUndoCmd.h"


class TextEdit;


class FileHelpCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();
		
	public:
		FileHelpCmd ( const char *, int active = TRUE );
		virtual ~FileHelpCmd();
		virtual const char *const className() { return ( "FileHelpCmd" ); }

	private:
		TextEdit *_edit;
		Boolean _editRealised;
		static void okCallback ( XtPointer, char * );
		static void cancelCallback ( XtPointer );
		void ok ( void * );
};

#endif
