/*
    OptionsHelpCmd.h

    Will Eighteen, 2006: will@opaline.demon.co.uk
*/

#ifndef OPTIONSHELPCMD_H
#define OPTIONSHELPCMD_H

#include "NoUndoCmd.h"


class TextEdit;


class OptionsHelpCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();
		
	public:
		OptionsHelpCmd ( const char *, int active = TRUE );
		virtual ~OptionsHelpCmd();
		virtual const char *const className() { return ( "OptionsHelpCmd" ); }

	private:
		TextEdit *_edit;
		Boolean _editRealised;
		static void okCallback ( XtPointer, char * );
		static void cancelCallback ( XtPointer );
		void ok ( void * );
};

#endif
